#include "_cl.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>// for exit(..)

#include "error.h"

WM_DLL_A void WM_DLL_B warn_default(char *msg, ...)
{
  va_list args;

  va_start(args, msg);
  vprintf(msg, args);
  va_end(args);
}

WM_DLL_A void WM_DLL_B error_default(char *msg, ...)
{
  va_list args;

  va_start(args, msg);
  vprintf(msg, args);
  va_end(args);
  printf("\npress any key to exit\n");
  getchar();
  exit(0);
}

 void (*SWF_warn)(char *msg, ...) = warn_default;
 void (*SWF_error)(char *msg, ...) = error_default;

WM_DLL_A void WM_DLL_B setSWFWarnFunction(void (*warnfunc)(char *msg, ...))
{
  SWF_warn = warnfunc;
}

WM_DLL_A void WM_DLL_B setSWFErrorFunction(void (*errorfunc)(char *msg, ...))
{
  SWF_error = errorfunc;
}

WM_DLL_A void WM_DLL_B SWF_assert(int c)
{
  if(!c)
    SWF_error("failed assertion");
}
