#ifndef SWF_FILES_H_INCLUDED
#define SWF_FILES_H_INCLUDED
#include <stdio.h>
#define SFILE_BUFF_SIZE 1024
#define SFILE_MAX_FILE_NAME 1024
typedef struct 
tag_SFILE
{
 FILE *f;
 byte Buff[SFILE_BUFF_SIZE];
 // szFile is the file opened for the file pointer,
 // and can be used in error messages
 char szFile[SFILE_MAX_FILE_NAME];
 int ipos;
 int nrecord;
}SFILE;

typedef void *(*SWFFileOpenMethod)(char *szFile,const char *mode);
typedef void (*SWFFileCloseMethod)(void *data);

WM_DLL_A void WM_DLL_B Set_fileByteOutputMethod(SWFByteOutputMethod new_method);
WM_DLL_A void WM_DLL_B Set_fileOpenMethod(SWFFileOpenMethod new_method);
WM_DLL_A void WM_DLL_B Set_fileCloseMethod(SWFFileCloseMethod new_method);

void fileOutputMethod(byte b, void *data);
WM_DLL_A void WM_DLL_B MingCloseAllFiles(void);
WM_DLL_A void WM_DLL_B fclose_Buf(SFILE *f);
WM_DLL_A SFILE * WM_DLL_B fopen_Buf(char *szFile,const char *mode);

#endif /* SWF_FILES_H_INCLUDED */
