/*
    Ming, an SWF output library
    Copyright (C) 2001  Opaque Industries - http://www.opaque.net/

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MING_TEXT_UTIL_H_INCLUDED
#define MING_TEXT_UTIL_H_INCLUDED

#include "blocks/swf.h"

WM_DLL_A void WM_DLL_B SWFText_setHeight(SWFText text, float height);
WM_DLL_A void WM_DLL_B SWFText_moveTo(SWFText text, float x, float y);
WM_DLL_A float WM_DLL_B SWFText_getStringWidth(SWFText text, const unsigned char *string);
WM_DLL_A float WM_DLL_B SWFText_getAscent(SWFText text);
WM_DLL_A float WM_DLL_B SWFText_getDescent(SWFText text);
WM_DLL_A float WM_DLL_B SWFText_getLeading(SWFText text);

WM_DLL_A float WM_DLL_B SWFFont_getStringWidth(SWFFont font, const unsigned char *string);
WM_DLL_A float WM_DLL_B SWFFont_getAscent(SWFFont font);
WM_DLL_A float WM_DLL_B SWFFont_getDescent(SWFFont font);
WM_DLL_A float WM_DLL_B SWFFont_getLeading(SWFFont font);

WM_DLL_A void WM_DLL_B SWFTextField_setBounds(SWFTextField field, float width, float height);
WM_DLL_A void WM_DLL_B SWFTextField_setHeight(SWFTextField field, float height);
WM_DLL_A void WM_DLL_B SWFTextField_setFieldHeight(SWFTextField field, float height);
WM_DLL_A void WM_DLL_B SWFTextField_setLeftMargin(SWFTextField field, float leftMargin);
WM_DLL_A void WM_DLL_B SWFTextField_setRightMargin(SWFTextField field, float rightMargin);
WM_DLL_A void WM_DLL_B SWFTextField_setIndentation(SWFTextField field, float indentation);
WM_DLL_A void WM_DLL_B SWFTextField_setLineSpacing(SWFTextField field, float lineSpacing);

#endif /* MING_TEXT_UTIL_H_INCLUDED */
